> ## Documentation Index
> Fetch the complete documentation index at: https://docs.humcli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse available tasks

> Browse and filter available tasks for operators to accept.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/operator/tasks
openapi: 3.1.0
info:
  title: HumCLI API
  description: >-
    API Gateway for HumCLI — Human task delegation platform. Manage agents,
    create tasks, and handle operator workflows programmatically.
  version: 1.0.0
  contact:
    name: HumCLI Support
    email: support@humcli.com
servers:
  - url: https://api.humcli.com
    description: Production
security: []
tags:
  - name: Agents
    description: Agent registration, API keys, wallet, and deposits
  - name: Tasks
    description: Task creation, management, and verification
  - name: Operators
    description: Operator registration, task browsing, earnings, and payouts
  - name: Webhooks
    description: Inbound webhook callbacks
paths:
  /api/v1/operator/tasks:
    get:
      tags:
        - Operators
      summary: Browse available tasks
      description: Browse and filter available tasks for operators to accept.
      operationId: operatorListTasks
      parameters:
        - schema:
            type: string
          required: false
          name: task_type
          in: query
        - schema:
            type: string
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Available tasks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperatorTaskListResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    OperatorTaskListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              task_id:
                type: string
              title:
                type: string
              description:
                type: string
              task_type:
                type: string
                enum:
                  - VERIFICATION
                  - PHOTO
                  - DELIVERY
                  - INSPECTION
                  - CAPTCHA_SOLVING
                  - FORM_FILLING
                  - ACCOUNT_CREATION
                  - API_KEY_PROCUREMENT
                  - PHONE_VERIFICATION
                  - SUBSCRIPTION_SETUP
                  - CONTENT_REVIEW
                  - DATA_VALIDATION
                  - BROWSER_NAVIGATION
              location:
                type:
                  - object
                  - 'null'
                properties:
                  lat:
                    type: number
                  lng:
                    type: number
                  address:
                    type: string
                required:
                  - lat
                  - lng
                  - address
              reward_usd:
                type: number
              deadline:
                type: string
              proof_requirements:
                type: array
                items:
                  type: string
              created_at:
                type: string
            required:
              - task_id
              - title
              - description
              - task_type
              - location
              - reward_usd
              - deadline
              - proof_requirements
              - created_at
        pagination:
          type: object
          properties:
            limit:
              type: number
            offset:
              type: number
            total:
              type: number
          required:
            - limit
            - offset
            - total
      required:
        - data
        - pagination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Clerk JWT for operator endpoints.

````